AchievementNoWayOut = class(Turbine.UI.Control)
function AchievementNoWayOut:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.skillList = {
        ["Guardian's Pledge"] = true,
        ["Warrior's Heart"] = true,
        ["Juggernaut"] = true,
        ["Charge"] = true,
    }

    self.handler = handler

    self:SetCallbacks()
end

function AchievementNoWayOut:SetCallbacks()
    self.skillCallbacks = {}
    for key, value in pairs(SkillEventHandler:GetSkills()) do
        if self.skillList[key] then

            table.insert(self.skillCallbacks, AddCallback(SkillEventHandler, key, function(skill) 
                self.handler:Fail("No Way Out", "Used an illegal skill", 0x410081FF)
            end))
        end
    end
end

function AchievementNoWayOut:Unload()
    for key, value in pairs(self.skillCallbacks) do
        RemoveCallback(SkillEventHandler, key, value) 
    end
end

function AchievementNoWayOut:Refresh()
    self:Unload()
    self:SetCallbacks()
end