WindowButton = class(Turbine.UI.Window)
function WindowButton:Constructor(handler, options)
    Turbine.UI.Window.Constructor(self)

    self.width = 30
    self.height = 30
    self.handler = handler

    self:SetText("Hardcore")
    self:SetPosition(options.buttonX, options.buttonY)
    self:SetVisible(true)--not(self.inProgress))
    self:SetBackground("Hardcore/Images/Resize_Monitor.tga")
    self:SetStretchMode(2)
    self:SetSize(self:GetWidth(), self:GetHeight())
    self:SetStretchMode(1)
    self:SetSize(self.width, self.height)

    self.Moving = false

    self.MouseDown = function(sender,args)
        self.MoveX = args.X
        self.MoveY = args.Y
        self.Moving = true
    end

    self.MouseUp = function()
        self.Moving = false
    end

    self.MouseMove = function(sender,args)
        if self.Moving then
          local newLeft = self:GetLeft() - (self.MoveX - args.X)
          local newTop = self:GetTop() - (self.MoveY - args.Y)
          if newLeft < 0 then newLeft = 0 end
          if newTop < 0 then newTop = 0 end
          if newLeft > (Turbine.UI.Display.GetWidth() - self:GetWidth()) then
            newLeft = Turbine.UI.Display.GetWidth() - self:GetWidth() end
          if newTop > (Turbine.UI.Display.GetHeight() - self:GetHeight()) then
            newTop = Turbine.UI.Display.GetHeight() - self:GetHeight() end
          self:SetPosition(newLeft,newTop)
        end
    end

    self.MouseClick = function()
        self.handler:ShowWindow()
    end
end